# INTC Functions
[INTC]

## Functions
CSL_Status | CSL_intcGlobalEnable (CSL_IntcGlobalEnableState *prevState)
CSL_Status | CSL_intcGlobalDisable (CSL_IntcGlobalEnableState *prevState)
CSL_Status | CSL_intcGlobalRestore (CSL_IntcGlobalEnableState prevState)
CSL_Status | CSL_intcGlobalNmiEnable (void)
CSL_Status | CSL_intcGlobalExcepEnable (void)
CSL_Status | CSL_intcGlobalExtExcepEnable (void)
CSL_Status | CSL_intcGlobalExcepClear (CSL_IntcExcep exc)

## Function Documentation

CSL_Status CSL_intcGlobalDisable | ( | CSL_IntcGlobalEnableState * | prevState | ) |

============================================================================
CSL_intcGlobalDisable

Description
Globally disable interrupts. The API disables the global interrupt by manipulating the processor's global interrupt enable/disable flag. If the user wishes to restore the enable-state at a later point, they may store the current state using the parameter, which could be used with CSL_intcGlobalRestore(..). CSL_intcGlobalDisable(..) must be called from a privileged mode.

Arguments

            prevState   (Optional) Pointer to object that would store current
                        stateObject that contains information about previous state

Return Value CSL_Status

- CSL_SOK on success

Example:

            CSL_intcGlobalDisable(NULL);

=============================================================================

CSL_Status CSL_intcGlobalEnable | ( | CSL_IntcGlobalEnableState * | prevState | ) |

============================================================================
CSL_intcGlobalEnable

Description
Globally enable interrupts. The API enables the global interrupt by manipulating the processor's global interrupt enable/disable flag. If the user wishes to restore the enable-state at a later point, they may store the current state using the parameter, which could be used with CSL_intcGlobalRestore(..). CSL_intcGlobalEnable(..) must be called from a privileged mode.

Arguments

            prevState   (Optional) Pointer to object that would store current
                        stateObject that contains information about previous state

Return Value CSL_Status

- CSL_SOK on success

Example:

            CSL_intcGlobalEnable(NULL);

=============================================================================

CSL_Status CSL_intcGlobalExcepClear | ( | CSL_IntcExcep | exc | ) |

============================================================================
CSL_intcGlobalExcepClear

Description
This API clears Global Exceptions

Arguments

            exc     Exception to be cleared NMI/SW/EXT/INT

Return Value CSL_Status

- CSL_SOK on success

Example:

            CSL_intcGlobalExcepClear(exc);

=============================================================================

CSL_Status CSL_intcGlobalExcepEnable | ( | void |  | ) |

============================================================================
CSL_intcGlobalExcepEnable

Description
This API enables global exception

Arguments

            None

Return Value CSL_Status

- CSL_SOK on success

Example:

           CSL_intcGlobalExcepEnable();

=============================================================================

CSL_Status CSL_intcGlobalExtExcepEnable | ( | void |  | ) |

============================================================================
CSL_intcGlobalExtExcepEnable

Description
This API enables external exception

Arguments

            None

Return Value CSL_Status

- CSL_SOK on success

Example:

            CSL_intcGlobalExtExcepEnable();

=============================================================================

CSL_Status CSL_intcGlobalNmiEnable | ( | void |  | ) |

============================================================================
CSL_intcGlobalNmiEnable

Description
This API enables global NMI

Arguments

            None

Return Value CSL_Status

- CSL_SOK on success

Example:

            CSL_intcGlobalNmiEnable();

=============================================================================

CSL_Status CSL_intcGlobalRestore | ( | CSL_IntcGlobalEnableState | prevState | ) |

============================================================================
CSL_intcGlobalRestore

Description
Restore global interrupt enable/disable to a previous state. The API restores the global interrupt enable/disable state to a previous state as recorded by the global-event-enable state passed as an argument. CSL_intcGlobalRestore(..) must be called from a privileged mode.

Arguments

            prevState   Object containing information about previous state

Return Value CSL_Status

- CSL_SOK on success

Example:

            CSL_IntcGlobalEnableState   prevState;

            CSL_intcGlobalRestore(prevState);

=============================================================================

Copyright 2012, Texas Instruments Incorporated